Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356593 - [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Summary: [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael DePaulo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ffc701e10838137c1ec1f1dcfd3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:35 UTC by Alex
Modified: 2017-08-08 15:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:37:06 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: cgroup (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: core_backtrace (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: dso_list (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: environ (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: exploitable (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: limits (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: maps (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: mountinfo (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: namespaces (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: open_fds (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: proc_pid_status (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details
File: var_log_messages (deleted)
2016-07-14 12:35 UTC, Alex
no flags Details

Description Alex 2016-07-14 12:35:16 UTC
Description of problem:
extracting a file, by dragging it from the xarchiver window to the desktop.

Version-Release number of selected component:
xarchiver-0.5.4-3.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        xarchiver /home/pua/Downloads/openvpn.zip
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     4136
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 xa_remove_level_from_path at string_utils.c:151
 #2 drag_data_get at window.c:1718
 #6 g_signal_emit_by_name at gsignal.c:3481
 #7 gtk_drag_selection_get at gtkdnd.c:3836
 #11 g_signal_emit_by_name at gsignal.c:3481
 #12 gtk_selection_invoke_handler at gtkselection.c:2986
 #13 _gtk_selection_request at gtkselection.c:2391
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #19 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 1173954

Comment 1 Alex 2016-07-14 12:35:20 UTC
Created attachment 1179825 [details]
File: backtrace

Comment 2 Alex 2016-07-14 12:35:22 UTC
Created attachment 1179826 [details]
File: cgroup

Comment 3 Alex 2016-07-14 12:35:23 UTC
Created attachment 1179827 [details]
File: core_backtrace

Comment 4 Alex 2016-07-14 12:35:25 UTC
Created attachment 1179828 [details]
File: dso_list

Comment 5 Alex 2016-07-14 12:35:26 UTC
Created attachment 1179829 [details]
File: environ

Comment 6 Alex 2016-07-14 12:35:27 UTC
Created attachment 1179830 [details]
File: exploitable

Comment 7 Alex 2016-07-14 12:35:28 UTC
Created attachment 1179831 [details]
File: limits

Comment 8 Alex 2016-07-14 12:35:30 UTC
Created attachment 1179832 [details]
File: maps

Comment 9 Alex 2016-07-14 12:35:31 UTC
Created attachment 1179833 [details]
File: mountinfo

Comment 10 Alex 2016-07-14 12:35:32 UTC
Created attachment 1179834 [details]
File: namespaces

Comment 11 Alex 2016-07-14 12:35:34 UTC
Created attachment 1179835 [details]
File: open_fds

Comment 12 Alex 2016-07-14 12:35:35 UTC
Created attachment 1179836 [details]
File: proc_pid_status

Comment 13 Alex 2016-07-14 12:35:36 UTC
Created attachment 1179837 [details]
File: var_log_messages

Comment 14 Alex 2016-07-14 12:42:01 UTC
xarchiver always crashes if you "drag" a file out of the list to a directory or desktop. Note that you do not need to "release" the left mouse button (i.e. to "drop"), the crash seems to occur when the window borders are left with the file being "dragged".

Comment 15 Teixeira 2016-09-14 19:37:03 UTC
Similar problem has been detected:

Extract file with mouse and drop to thunar

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        xarchiver /home/zeus/Downloads/yltra-flat-icon-theme-master.zip
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     11183
kernel:         4.7.3-200.fc24.x86_64
package:        xarchiver-0.5.4-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 jamie 2016-12-03 18:17:18 UTC
I have no problems dragging between Xarchiver and Thunar but if my mouse hovers over anything else Xarchiver crashes like Alex reported. I've only started seeing this issue after upgrading to Fedora 24. I hope this comment helps people track down the issue.

Comment 17 Fedora Admin XMLRPC Client 2017-01-29 10:56:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Fedora End Of Life 2017-07-25 21:48:34 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 15:37:06 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.